v1.0.0
OpenAPI 3.1.0

Look up an ESP-suppressed address

US region

Client Libraries

Look up an ESP-suppressed address

Look up an email address to learn if, and why, it was suppressed by the email service provider (ESP).

Path Parameters
  • email_address
    Type: string
    required

    The email address of the person you want to look up.

Responses
  • application/json
  • 429

    Your request is over the 10-per-second limit.

Request Example for get/v1/esp/search_suppression/{email_address}
curl 'https://api.customer.io/v1/esp/search_suppression/{email_address}' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "category": "bounces",
  "suppressions": [
    {
      "created": 1650895738,
      "email": "bounced.person@example.com",
      "reason": "Uploaded manually via api.customer.io",
      "status": "550"
    }
  ]
}